'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _babelPresetLatest = require('babel-preset-latest');

var _babelPresetLatest2 = _interopRequireDefault(_babelPresetLatest);

var _babelPluginTransformFlowStripTypes = require('babel-plugin-transform-flow-strip-types');

var _babelPluginTransformFlowStripTypes2 = _interopRequireDefault(_babelPluginTransformFlowStripTypes);

var _babelPluginSyntaxFlow = require('babel-plugin-syntax-flow');

var _babelPluginSyntaxFlow2 = _interopRequireDefault(_babelPluginSyntaxFlow);

var _babelPluginAddModuleExports = require('babel-plugin-add-module-exports');

var _babelPluginAddModuleExports2 = _interopRequireDefault(_babelPluginAddModuleExports);

var _babelPluginTransformEs3MemberExpressionLiterals = require('babel-plugin-transform-es3-member-expression-literals');

var _babelPluginTransformEs3MemberExpressionLiterals2 = _interopRequireDefault(_babelPluginTransformEs3MemberExpressionLiterals);

var _babelPluginTransformEs3PropertyLiterals = require('babel-plugin-transform-es3-property-literals');

var _babelPluginTransformEs3PropertyLiterals2 = _interopRequireDefault(_babelPluginTransformEs3PropertyLiterals);

var _babelPluginTransformClassProperties = require('babel-plugin-transform-class-properties');

var _babelPluginTransformClassProperties2 = _interopRequireDefault(_babelPluginTransformClassProperties);

var _babelPluginTransformObjectRestSpread = require('babel-plugin-transform-object-rest-spread');

var _babelPluginTransformObjectRestSpread2 = _interopRequireDefault(_babelPluginTransformObjectRestSpread);

var _babelPluginTransformRegenerator = require('babel-plugin-transform-regenerator');

var _babelPluginTransformRegenerator2 = _interopRequireDefault(_babelPluginTransformRegenerator);

var _babelPluginTransformRuntime = require('babel-plugin-transform-runtime');

var _babelPluginTransformRuntime2 = _interopRequireDefault(_babelPluginTransformRuntime);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; } /**
                                                                                                                                                                                                                   *
                                                                                                                                                                                                                   */


/**
 *
 */
exports.default = {
  presets: [[_babelPresetLatest2.default, { es2015: { loose: true } }]],

  plugins: [
  // Flow
  _babelPluginTransformFlowStripTypes2.default, _babelPluginSyntaxFlow2.default,

  // Legacy
  _babelPluginAddModuleExports2.default, _babelPluginTransformEs3PropertyLiterals2.default, _babelPluginTransformEs3MemberExpressionLiterals2.default,

  // Unstable
  _babelPluginTransformClassProperties2.default, _babelPluginTransformObjectRestSpread2.default,

  // Runtime
  [_babelPluginTransformRegenerator2.default, _defineProperty({}, 'async', false)], [_babelPluginTransformRuntime2.default, {
    helpers: false,
    polyfill: false,
    regenerator: true,
    // Resolve the Babel runtime relative to the config.
    moduleName: _path2.default.dirname(require.resolve('babel-runtime/package'))
  }]]
};
module.exports = exports['default'];